### Method

# Adw Sidebar set_filter

since: 1.9

#### Declaration [src]

    void
    adw_sidebar_set_filter (
      AdwSidebar* self,
      GtkFilter* filter
    )

#### Description [src]

Sets the item filter for `self`.

Can be used to implement search within the sidebar.

Use `AdwSidebar:placeholder` to provide an empty state.

Available since: 1.9

Sets property | `Adw.Sidebar:filter`

#### Parameters

`filter`

  Type: `GtkFilter`

  The item filter.

  The argument can be `NULL`.
  The data is owned by the caller of the method.